Skip to content
Livstick Developers

List messages for the platform

Method GET https://client-api.v5.livstick.com/api/v3/messages

Return a paginated list of messages belonging to the authenticated platform. Filter by CRID to get all messages for a specific container, or by code group.

Authorization

Required scope messages:read

Use Authorization: Bearer liv_<prefix>_<secret>.

Parameters

Name In Type Required Constraints Description
limit Query integer Optional max 200 Maximum number of items to return. Default 50
skip Query integer Optional Number of items to skip (pagination offset). Default 0
crid Query string Optional Filter messages by container CRID.
codeGroupId Query string Optional Filter messages by code group objectId.
redeemCode Query string Optional Filter messages by canonical redeem code.
order Query string Optional Sort field. Prefix with - for descending. Default -createdAt

Responses

200 application/json Schema MessageListResponse

Paginated list of messages.

401 application/json Schema ApiErrorEnvelope

Authentication failed or missing bearer token.

json 401
{
  "error": {
    "code": "UNAUTHORIZED",
    "message": "Missing API key"
  }
}

403 application/json Schema ApiErrorEnvelope

Authenticated but not allowed by scope or key constraints.

json 403
{
  "error": {
    "code": "FORBIDDEN",
    "message": "Insufficient permissions"
  }
}